>From c404b38e7f78be5544089715e7e5ecd84e55e70f Mon Sep 17 00:00:00 2001
From: Harry Prevor <habs@sdf.org>
Date: Thu, 16 Nov 2017 03:24:48 -0500
Subject: [PATCH] Added the Purism Librem 15 laptop to whitelist and print.c,
 as per: https://tracker.pureos.net/T170

Change-Id: I9255f3e7e71ab84283feb5b3895191777510e893
Signed-off-by: Harry Prevor <habs@sdf.org>
---
 board_enable.c | 1 +
 print.c        | 1 +
 2 files changed, 2 insertions(+)

diff --git a/board_enable.c b/board_enable.c
index b6e17ef..435b272 100644
--- a/board_enable.c
+++ b/board_enable.c
@@ -2458,6 +2458,7 @@ const struct board_match board_matches[] = {
 	{0x10DE, 0x0360, 0x1462, 0x7250,  0x10DE, 0x0368, 0x1462, 0x7250, NULL,         NULL, NULL,           P3, "MSI",         "MS-7250 (K9N SLI)",     0,   OK, nvidia_mcp_gpio2_raise},
 	{0x1011, 0x0019, 0xaa55, 0xaa55,  0x8086, 0x7190,      0,      0, NULL,         NULL, NULL,           P3, "Nokia",       "IP530",                 0,   OK, fdc37b787_gpio50_raise_3f0},
 	{0x8086, 0x3B30, 0x1025, 0x0379,  0x8086, 0x3B09, 0x1025, 0x0379, "^EasyNote LM85$", NULL, NULL,      P2, "Packard Bell","EasyNote LM85",         0,   OK, p2_whitelist_laptop},
+	{0x8086, 0x9d48, 0x8086, 0x9d48, 0x8086, 0x1904, 0x8086, 0x2015,  "^Librem 15", NULL, NULL,           P2, "Purism",      "Librem 15",             0,   OK, p2_whitelist_laptop},
 	{0x8086, 0x0154, 0x8086, 0x0154,  0x8086, 0x1e55, 0x8086, 0x1e55, "RV11$",      "Roda", "Lizard RV11", P2, "Roda",       "RV11",                  0,   OK, p2_whitelist_laptop},
 	{0x8086, 0x24d3, 0x144d, 0xb025,  0x8086, 0x1050, 0x144d, 0xb025, NULL,         NULL, NULL,           P3, "Samsung",     "Polaris 32",            0,   OK, intel_ich_gpio21_raise},
 	{0x1106, 0x3099,      0,      0,  0x1106, 0x3074,      0,      0, NULL,         "shuttle", "ak31",    P3, "Shuttle",     "AK31",                  0,   OK, w836xx_memw_enable_2e},
diff --git a/print.c b/print.c
index 08bad02..32bca59 100644
--- a/print.c
+++ b/print.c
@@ -1173,6 +1173,7 @@ const struct board_info laptops_known[] = {
 	B("IBM/Lenovo",	"3000 V100 TF05Cxx",	OK, "http://www5.pc.ibm.com/europe/products.nsf/products?openagent&brand=Lenovo3000Notebook&series=Lenovo+3000+V+Series#viewallmodelstop", NULL),
 	//B("MSI",	"GT60-2OD",		OK, "http://www.msi.com/product/nb/GT60_2OD.html", NULL), requires layout patches
 	B("Teclast",	"X98 Air 3G",		OK, NULL, NULL),
+	B("Purism",     "Librem 15",            OK, "https://puri.sm/shop/librem-15/", "Flashrom is used by the manufacturers before shipping!"),
 #endif
 
 	{0},
-- 
2.15.0

